Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class StrippedDocument

    java.lang.Object
      net.sf.saxon.om.StrippedNode
          net.sf.saxon.om.StrippedDocument

All Implemented Interfaces:
  DocumentInfo, Item, NodeInfo, javax.xml.transform.Source, ValueRepresentation, VirtualNode

public class StrippedDocument
extends StrippedNode
implements DocumentInfo

A StrippedDocument represents a view of a real Document in which selected whitespace text nodes are treated as having been stripped.

Field Summary

Fields inherited from class net.sf.saxon.om.StrippedNode
`docWrapper, node, parent`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`StrippedDocument(DocumentInfo doc, Stripper stripper)`

Method Summary
`boolean` | `containsPreserveSpace()` Does the stripped document contain any xml:space="preserve" attributes?
`Configuration` | `getConfiguration()` Get the configuration previously set using setConfiguration
`int` | `getDocumentNumber()` Get the unique document number
`NamePool` | `getNamePool()` Get the name pool used for the names in this document
`Stripper` | `getStripper()` Get the document's stripper
`java.lang.String[]` | `getUnparsedEntity(java.lang.String name)` Get the unparsed entity with a given name
`NodeInfo` | `selectID(java.lang.String id)` Get the element with a given ID, if any
`StrippedNode` | `wrap(NodeInfo node)` Create a wrapped node within this document

Methods inherited from class net.sf.saxon.om.StrippedNode
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, hashCode, isSameNodeInfo, iterateAxis, iterateAxis, makeWrapper, sendNamespaceDeclarations, setSystemId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, isSameNodeInfo, iterateAxis, iterateAxis, sendNamespaceDeclarations`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Constructor Detail

### StrippedDocument

    public StrippedDocument(DocumentInfo doc,
                            Stripper stripper)

Method Detail

### wrap

    public StrippedNode wrap(NodeInfo node)

  Create a wrapped node within this document

### getStripper

    public Stripper getStripper()

  Get the document's stripper

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration

  Specified by:
    `getConfiguration` in interface `NodeInfo`
  Overrides:
    `getConfiguration` in class `StrippedNode`

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Overrides:
    `getNamePool` in class `StrippedNode`
  Returns:
    the NamePool

### getDocumentNumber

    public int getDocumentNumber()

  Get the unique document number

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Overrides:
    `getDocumentNumber` in class `StrippedNode`

### selectID

    public NodeInfo selectID(java.lang.String id)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
  Returns:
    the element with the given ID value, or null if there is none.

### getUnparsedEntity

    public java.lang.String[] getUnparsedEntity(java.lang.String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    if the entity exists, return an array of two Strings, the first holding the system ID of the entity, the second holding the public ID if there is one, or null if not. If the entity does not exist, the method returns null. Applications should be written on the assumption that this array may be extended in the future to provide additional information.

### containsPreserveSpace

    public boolean containsPreserveSpace()

  Does the stripped document contain any xml:space="preserve" attributes?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD